Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.tc
Class Types

    java.lang.Object
      javafe.tc.Types
          escjava.tc.Types

public class Types
extends Types

Field Summary
`static PrimitiveType` | `anyType`
`static PrimitiveType` | `bigintType`
`static PrimitiveType` | `locksetType`
`static PrimitiveType` | `objectsetType`
`static PrimitiveType` | `rangeType`
`static PrimitiveType` | `realType`
`static PrimitiveType` | `typecodeType`

Fields inherited from class javafe.tc.Types
`booleanType, byteType, charType, doubleType, errorType, floatType, inst, intType, lengthFieldDecl, lenId, longType, nullType, shortType, voidType`

Constructor Summary
`Types()`

Method Summary
`static void` | `init()`
`boolean` | `isCastableInstance(Type t, Type tt)`
`boolean` | `isFloatingPointTypeInstance(Type t)`
`boolean` | `isIntegralTypeInstance(Type t)`
`boolean` | `isNumericTypeInstance(Type t)`
`boolean` | `isSameTypeInstance(Type t, Type tt)`
`static boolean` | `isTypeType(Type t)`
`protected boolean` | `isWideningPrimitiveConvertableInstance(Type x, Type y)`
`protected TypeSig` | `makeTypeSigInstance(java.lang.String[] packageName, java.lang.String simpleName, TypeSig enclosingType, TypeDecl decl, CompilationUnit cu)`
`protected TypeSig` | `makeTypeSigInstance(java.lang.String simpleName, Env enclosingEnv, TypeDecl decl)`

Methods inherited from class javafe.tc.Types
`baseType, binaryNumericPromotion, getFormalParaTypes, getJavaLang, isAnyPrimitiveConvertable, isBooleanType, isByteType, isCastable, isCharType, isDoubleType, isErrorType, isFloatingPointType, isFloatType, isIntegralType, isIntType, isInvocationConvertable, isInvocationConvertableInstance, isLongType, isNumericType, isReferenceOrNullType, isReferenceType, isSameFormalParaDeclVec, isSameMethodSig, isSameType, isShortType, isSubclassOf, isSubClassOrEq, isVoidType, isWideningPrimitiveConvertable, isWideningReferenceConvertable, isWideningReferenceConvertableInstance, javaLangClass, javaLangCloneable, javaLangError, javaLangException, javaLangObject, javaLangPackage, javaLangRuntimeException, javaLangString, javaLangSystem, javaLangThrowable, lookupField, lookupFieldInstance, lookupMethod, lookupMethodInstance, makeTypeSig, makeTypeSig, printName, printName, printNameInstance, remakeTypes, routineMoreSpecific, toClassTypeSig, unaryPromote, zeroEquivalent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### anyType

    public static PrimitiveType anyType

### typecodeType

    public static PrimitiveType typecodeType

### locksetType

    public static PrimitiveType locksetType

### objectsetType

    public static PrimitiveType objectsetType

### rangeType

    public static PrimitiveType rangeType

### bigintType

    public static PrimitiveType bigintType

### realType

    public static PrimitiveType realType

Constructor Detail

### Types

    public Types()

Method Detail

### init

    public static void init()

### makeTypeSigInstance

    protected TypeSig makeTypeSigInstance(java.lang.String simpleName,
                                          Env enclosingEnv,
                                          TypeDecl decl)

  Overrides:
    `makeTypeSigInstance` in class `Types`

### makeTypeSigInstance

    protected TypeSig makeTypeSigInstance(java.lang.String[] packageName,
                                          java.lang.String simpleName,
                                          TypeSig enclosingType,
                                          TypeDecl decl,
                                          CompilationUnit cu)

  Overrides:
    `makeTypeSigInstance` in class `Types`

### isTypeType

    public static boolean isTypeType(Type t)

### isSameTypeInstance

    public boolean isSameTypeInstance(Type t,
                                      Type tt)

  Overrides:
    `isSameTypeInstance` in class `Types`

### isCastableInstance

    public boolean isCastableInstance(Type t,
                                      Type tt)

  Overrides:
    `isCastableInstance` in class `Types`

### isIntegralTypeInstance

    public boolean isIntegralTypeInstance(Type t)

  Overrides:
    `isIntegralTypeInstance` in class `Types`

### isNumericTypeInstance

    public boolean isNumericTypeInstance(Type t)

  Overrides:
    `isNumericTypeInstance` in class `Types`

### isFloatingPointTypeInstance

    public boolean isFloatingPointTypeInstance(Type t)

  Overrides:
    `isFloatingPointTypeInstance` in class `Types`

### isWideningPrimitiveConvertableInstance

    protected boolean isWideningPrimitiveConvertableInstance(Type x,
                                                             Type y)

  Overrides:
    `isWideningPrimitiveConvertableInstance` in class `Types`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage